Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4181)
+++ palm/trunk/SOURCE/Makefile	(revision 4182)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 4174 2019-08-20 12:41:13Z gronemeier
 # bugfix: add missing dependencies for vdi_internal_controls
 # 
@@ -36,5 +39,4 @@
 # 4167 2019-08-16 11:01:48Z suehring
 # Remove no longer needed dependencies on surface_mod
-#
 # 
 # 4127 2019-07-30 14:47:10Z suehring
@@ -82,499 +84,4 @@
 # 3700 2019-01-26 17:03:42Z knoop
 # Rename surface_output_mod into surface_data_output_mod
-#
-# 3637 2018-12-20 01:51:36Z knoop
-# Implementation of the PALM module interface
-#
-# 3634 2018-12-18 12:31:28Z knoop
-# OpenACC port for SPEC
-#
-# 3579 2018-11-29 15:32:39Z suehring
-# Dependency for check_parameters on nesting_offl_mod added
-#
-# 3569 2018-11-27 17:03:40Z kanani
-# dom_dwd_user, Schrempf:
-# New dependencies for biometeorology_mod,
-# remove uv exposure model code, this is now part of biometeorology_mod.
-#
-# 3525 2018-11-14 16:06:14Z kanani
-# Changes related to clean-up of biometeorology (dom_dwd_user)
-#
-# 3522 2018-11-13 12:14:36Z suehring
-# Dependencies for virtual measurement module added
-#
-# 3494 2018-11-06 14:51:27Z suehring
-# Surface output revised
-#
-# 3474 2018-10-30 21:07:39Z kanani
-# Add virtual measurement module
-#
-# 3472 2018-10-30 20:43:50Z suehring
-# Add indoor model (kanani, srissman, tlang),
-# minor formatting
-#
-# 3467 2018-10-30 19:05:21Z suehring
-# Implementation of a new aerosol module salsa.
-#
-#
-# 3458 2018-10-30 14:51:23Z kanani
-# from chemistry branch r3443, banzhafs, Russo, forkel, basit:
-# radiation_model_mod added to chemistry_model_mod
-# Added some missing dependencies and replaced blanks with tabs
-# Added chemistry emission module
-# chemistry_model_mod added to flow_statistics
-#
-# 3448 2018-10-29 18:14:31Z kanani
-# Adjustment of biometeorology dependencies
-#
-# 3436 2018-10-26 18:35:15Z gronemeier
-# Add surface_mod to user_data_output_mask
-#
-# 3435 2018-10-26 18:25:44Z gronemeier
-# - Add surface_mod to data_output_mask
-# - Add chemistry_model_mod and surface_mod to init_masks
-#
-# 3421 2018-10-24 18:39:32Z gronemeier
-# Add netcdf_data_input_mod to netcdf_interface_mod
-# bugfix: add dependencies to chemistry_model_mod
-# Add module for surface data output
-#
-# 3381 2018-10-19 13:09:06Z raasch
-# dependencies for ocean_mod fixed
-#
-# 3355 2018-10-16 14:03:34Z knoop
-# Add module for offline nesting;
-# Add surface_mod to synthetic-turbulence generator;
-# Bugfix, missing dependency for turbulence generator in init_3d_model;
-# Some formatting ajdustments
-#
-# 3343 2018-10-15 10:38:52Z suehring
-# (from branch resler)
-# Add biometeorology
-#
-#
-# 3322 2018-10-09 10:02:39Z kanani
-# Formatting and cleanup
-#
-# 3298 2018-10-02 12:21:11Z kanani
-# Added missing dependencies and replaced blanks with tabs (forkel)
-# Added chemistry emission module (Russo)
-# Added chemistry_model_mod to flow_statistics (basit)
-#
-# 3294 2018-10-01 02:37:10Z raasch
-# changes related to modularization of the ocean mode,
-# bugfix: dependency to advec_ws was missed in chemistry_model_mod
-#
-# 3274 2018-09-24 15:42:55Z knoop
-# Added palm dependency of multi_agent_system_mod, because of mas_last_actions
-# call at the end of palm run
-#
-# 3167 2018-07-24 18:17:30Z suehring
-# Bugfix, add missing dependencies for multi-agent system
-#
-# 3159 2018-07-20 11:20:01Z sward
-# Added multi agent system
-#
-# 3130 2018-07-16 11:08:55Z gronemeier
-# add surface_layer_fluxes_mod to turbulence_closure_mod
-#
-# 3129 2018-07-16 07:45:13Z gronemeier
-# add turbulence_closure_mod to parin
-#
-# 2963 2018-04-12 14:47:44Z suehring
-# Introduce index for vegetation/wall, pavement/green-wall and water/window
-# surfaces, for clearer access of surface fraction, albedo, emissivity, etc. .
-#
-# 2955 2018-04-09 15:14:01Z suehring
-# Add log-points to measure CPU time of NetCDF data input.
-#
-# 2938 2018-03-27 15:52:42Z suehring
-# No initialization of child domains via dynamic input file, except for soil
-# moisture and temperature
-# Apply turbulence generator at non-cyclic lateral boundary in nesting case
-#
-# 2936 2018-03-27 14:49:27Z suehring
-# Added dependencies for parent and child synchronization
-#
-# 2921 2018-03-22 15:05:23Z Giersch
-# date_and_time_mod dependency has been added to read/write_restart_data_mod
-#
-# 2918 2018-03-21 15:52:14Z gronemeier
-# read/write_3d_binary and read/write_var_list has been removed,
-# read/write_restart_data_mod, wrd_write_string and
-# user_read/write_restart_data_mod has been added, dependencies with respect to
-# the aforementioned routines have been added/removed
-#
-# 2847 2018-03-02 21:45:58Z suehring
-# Changed format and enforced sorting
-#
-# 2817 2018-02-19 16:32:21Z knoop
-# Preliminary gust module interface implemented
-#
-# 2802 2018-02-14 16:21:39Z thiele
-# Changed lpm from subroutine to module.
-# Introduce particle transfer in nested models.
-#
-# 2773 2018-01-30 14:12:54Z suehring
-# Nesting of chemical species
-#
-# 2718 2018-01-02 08:49:38Z maronga
-# Corrected "Former revisions" section
-#
-# 2697 2017-12-14 17:57:20Z kanani
-# Bugfix, missing dependencies
-#
-# 2696 2017-12-14 17:12:51Z kanani
-# Change in file header (GPL part)
-# Implementation of uv exposure model (FK)
-# Bugfix, removed loop dependcy for vertical_nesting_mod and
-# turbulence_closure_mod, added depencies for vertical_nesting_mod (TG)
-# implemented turbulence_closure_mod (TG)
-# Additional dependencies for chemistry module (FK)
-# Additional dependencies for chemistry module (FK)
-# Implementation of chemistry module (FK)
-# For LSM, add dependency on calc_mean_profile (??)
-# poismg_noopt modularized and renamed into poismg_noopt_mod
-# add dependencies for netcdf_data_input_mod, calc_mean_profile,
-# radiation_module_mod, land_surface_model_mod (MS)
-#
-# 2608 2017-11-13 14:04:26Z schwenkel
-# Added diagnostic_quantities_mod
-#
-# 2600 2017-11-01 14:11:20Z raasch
-# comment line concerning bound checks removed
-#
-# 2599 2017-11-01 13:18:45Z hellstea
-# virtual_flight_mod, synthetic_turbulence_generator_mod and
-# wind_turbine_model_mod were added to read_var_list
-#
-# 2563 2017-10-19 15:36:10Z Giersch
-# wind_turbine_model_mod and synthetic_turbulence_generator_mod were added to
-# write_var_list and virtual_flight_mod was deleted from read_var_list
-#
-# 2544 2017-10-13 18:09:32Z maronga
-# Added date_and_time_mod
-#
-# 2371 2017-08-24 13:01:17Z kanani
-# Corrected dependencies for vertical_nesting_mod
-#
-# 2370 2017-08-23 06:11:43Z raasch
-# dependency bugfix for synthetic_turbulence_generator
-#
-# 2365 2017-08-21 14:59:59Z kanani
-# Added dependencies for vertical_nesting_mod
-#
-# 2339 2017-08-07 13:55:26Z gronemeier
-# corrected timestamp in header
-#
-# 2338 2017-08-07 12:15:38Z gronemeier
-# Modularize 1D model
-#
-# 2320 2017-07-21 12:47:43Z suehring
-# -ls_forcing nudging
-# +large_scale_forcing_nudging
-#
-# 2318 2017-07-20 17:27:44Z suehring
-# Add further dependencies on surface_mod
-#
-# 2317 2017-07-20 17:27:19Z suehring
-# Added time_integration_spinup
-#
-# 2269 2017-06-09 11:57:32Z suehring
-# Add dependency in read_3d_binary
-#
-# 2263 2017-06-08 14:59:01Z schwenkel
-# Implemented splitting and merging algorithm
-#
-# 2259 2017-06-08 09:09:11Z gronemeier
-# Implemented synthetic turbulence generator
-#
-# 2256 2017-06-07 13:58:08Z suehring
-# Remove ring dependency in init_pegrid
-#
-# 2238 2017-05-31 16:49:16Z suehring
-# Bugfix, further missing dependency on surface_mod
-#
-# 2237 2017-05-31 10:34:53Z suehring
-# Bugfix, add dependencies on surface_mod for surface_coupler,
-# plant_canopy_model_mod and ls_forcing_mod
-#
-# 2233 2017-05-30 18:08:54Z suehring
-#
-# 2232 2017-05-30 17:47:52Z suehring
-# +dependencies for surface_mod
-# -wall_fluxes
-#
-# 2130 2017-01-24 16:25:39Z raasch
-# dependency for timestep updated
-#
-# 2118 2017-01-17 16:38:49Z raasch
-# -cuda_fft_interfaces_mod
-#
-# 2050 2016-11-08 15:00:55Z gronemeier
-# Implement turbulent outflow method
-#
-# 2007 2016-08-24 15:47:17Z kanani
-# urban surface module added,
-# cleaned up some lines (compiler flags/options), which were accidentally
-# added in rev1938
-#
-# 1998 2016-08-20 18:45:34Z knoop
-# Bugfix: added netcdf_interface to dependency list for user_init_land_surface
-#
-# 1986 2016-08-10 14:07:17Z gronemeier
-# POSIX-calls module added
-#
-# 1972 2016-07-26 07:52:02Z maronga
-# Removed some dependencies due to further modularization of land surface model
-#
-# 1957 2016-07-07 10:43:48Z suehring
-# flight module added
-#
-# 1946 2016-06-15 11:38:13Z suehring
-# Bugfix dependency init_grid on advec_ws
-#
-# 1938 2016-06-13 15:26:05Z hellstea
-# Some dependency errors corrected
-#
-# 1934 2016-06-13 09:46:57Z hellstea
-# poismg renamed poismg_noopt, poismg_fast_mod renamed poismg_mod
-#
-# 1914 2016-05-26 14:44:07Z witha
-# Added wind_turbine_model_mod
-#
-# 1900 2016-05-04 15:27:53Z raasch
-# pmc_general renamed pmc_general_mod
-#
-# 1871 2016-04-15 11:46:09Z hoffmann
-# dependencies for package_parin corrected
-#
-# 1850 2016-04-08 13:29:27Z maronga
-# Adapted for modularization of microphysics
-# Several files renamed --> _mod
-# Bugfix for previous commit
-#
-# 1849 2016-04-08 11:33:18Z hoffmann
-# Adapted for modularization of microphysics
-#
-# 1837 2016-04-07 18:21:57Z raasch
-# further bug removed from r1835
-#
-# 1835 2016-04-07 16:31:50Z raasch
-# bugfix: merge comments removed
-#
-# 1833 2016-04-07 14:23:03Z raasch
-# spectrum renamed spectra_mod, depencies for spectra changed
-#
-# 1826 2016-04-07 12:01:39Z maronga
-# Renamed radiation_model to radiation_model_mod.
-# Renamed plant_canopy_model to plant_canopy_model_mod.
-#
-# 1822 2016-04-07 07:49:42Z hoffmann
-# Tails removed. lpm_release_set removed. calc_precipitation, impact_of_latent_heat
-# removed.
-#
-# 1817 2016-04-06 15:44:20Z maronga
-# Renamed land_surface_model to land_surface_model_mod.
-#
-# 1808 2016-04-05 19:44:00Z raasch
-# -local_flush, -local_getenv
-#
-# 1797 2016-03-21 16:50:28Z raasch
-# dependcy for check_for_restart updated
-#
-# 1791 2016-03-11 10:41:25Z raasch
-# dependencies of header changed
-#
-# 1786 2016-03-08 05:49:27Z raasch
-# rename calc_spectra to spectrum + modularization of spectrum
-#
-# 2016-03-06 18:36:17Z raasch
-# name change of netcdf routines and respective dependencies
-#
-# 1779 2016-03-03 08:01:28Z raasch
-# dependencies changed for init_peprid
-#
-# 1766 2016-02-29 08:37:15Z raasch
-# update dependency for swap_timelevel
-#
-# 1764 2016-02-28 12:45:19Z raasch
-# several updates of dependencies
-#
-# 1762 2016-02-25 12:31:13Z hellstea
-# +pmc_interface, +pmc routines
-#
-# 1747 2016-02-08 12:25:53Z raasch
-# dependencies for routine palm updated
-#
-# 1691 2015-10-26 16:17:44Z maronga
-# Replaced prandtl_fluxes with surface_layer_fluxes. Added radiation_model to
-# prognostic_equations
-#
-# 1585 2015-04-30 07:05:52Z maronga
-# Added user_init_radiation.f90
-#
-# 1575 2015-03-27 09:56:27Z raasch
-# +poismg_fast
-#
-# 1551 2015-03-03 14:18:16Z maronga
-# Bugfix: further adjustments for the land surface model and radiation model
-#
-# 1517 2015-01-07 19:12:25Z hoffmann
-# advec_s_bc added to prognostic_equations
-#
-# 1500 2014-12-03 17:42:41Z maronga
-# Bugfix: missing adjustments for land surface model and radiation model
-#
-# 1496 2014-12-02 17:25:50Z maronga
-# Added land surface model and radiation model files: land_surface_model,
-# radiation_model, user_init_land_surface
-#
-# 1484 2014-10-21 10:53:05Z kanani
-# plant_canopy_model-dependency added for check_parameters, header, init_3d_model,
-# package_parin, read_var_list, user_init_plant_canopy, write_var_list
-#
-# 1444 2014-08-02 20:10:32Z letzel
-# bugfix: cpulog added to lpm_advec
-#
-# 1404 2014-05-14 09:01:39Z keck
-# bugfix: dependencies added for progress_bar
-#
-# 1402 2014-05-09 14:25:13Z raasch
-# progress_bar added
-#
-# 1400 2014-05-09 14:03:54Z knoop
-# Added new module random_generator_parallel
-#
-# 1380 2014-04-28 12:40:45Z heinze
-# bugfix: mod_particle_attributes  added to check_open
-# nudging added to time_integration
-#
-# 1374 2014-04-25 12:55:07Z raasch
-# bugfix: missing dependency added for check_open
-#
-# 1365 2014-04-22 15:03:56Z boeske
-# Added new module calc_mean_profile, previously in module buoyancy,
-# removed buoyancy dependency from nudging
-#
-# 1363 2014-04-17 12:28:49Z keck
-# bugfix: cpulog added to lpm_pack_arrays
-#
-# 1361 2014-04-16 15:17:48Z hoffmann
-# cpulog added to microphysics
-#
-# 1359 2014-04-11 17:15:14Z hoffmann
-# mod_particle_attributes added, lpm_sort_arrays removed,
-# lpm_extend_particle_array removed
-#
-# 1336 2014-03-25 15:07:20Z raasch
-# -write_compressed
-#
-# 2014-03-20 16:38:49Z raasch
-# cpulog-dependency added for disturb_heatflux
-#
-# 1320 2014-03-20 08:40:49Z raasch
-# +mod_kinds in dependency list
-#
-# 1318 2014-03-17 13:35:16Z raasch
-# +cpulog, dependencies for cpulog added
-# -cpu_log, cpu_statistics
-#
-# 1311 2014-03-14 12:13:39Z heinze
-# bugfix: buoyancy dependency added to nudging
-#
-# 1306 2014-03-13 14:30:59Z raasch
-# +mod_kinds
-#
-# 1241 2013-10-30 11:36:58Z heinze
-# +nudging, ls_forcing
-#
-# 1212 2013-08-15 08:46:27Z raasch
-# +tridia_solver, -poisfft_hybrid
-#
-# 1210 2013-08-14 10:58:20Z raasch
-# object file list replaced by one line statement
-#
-# 1128 2013-04-12 06:19:32Z raasch
-# dependencies for time_integration modified
-#
-# 1111 2013-03-08 23:54:10Z raasch
-# dependencies removed from init_pegrid
-# bugfix: dependency added for cuda_fft_interfaces
-#
-# 1106 2013-03-04 05:31:38Z raasch
-# +cuda_fft_interfaces
-#
-# 1053 2012-11-13 17:11:03Z hoffmann
-# +microphysics for two-moment cloud physics
-#
-# 1036 2012-10-22 13:43:42Z raasch
-# code put under GPL (PALM 3.9)
-#
-# 1001 2012-09-13 14:08:46Z raasch
-# -asselin_filter, advec_s|u|v|w_ups, spline_x|y|z
-#
-# 872 2012-03-29 15:57:54Z franke
-# lpm depends on modules
-#
-# 849 2012-03-15 10:35:09Z raasch
-# +lpm_advec, lpm_data_output_particles, lpm_droplet_collision,
-# lpm_droplet_condensation,
-# lpm_exchange_horiz, lpm_extend_particle_array, lpm_extend_tails,
-# lpm_extend_tail_array, lpm_init_sgs_tke, lpm_pack_arrays,
-# lpm_read_restart_file, lpm_release_set, lpm_sort_arrays,
-# lpm_write_exchange_statistics, lpm_write_restart_file
-# advec_particles renamed lpm,
-# init_particles renamed lpm_init,
-# user_advec_particles renamed user_lpm_advec,
-# particle_boundary_conds renamed lpm_boundary_conds,
-# set_particle_attributes renamed lpm_set_attributes
-# user_init_particles renamed user_lpm_init,
-# user_particle_attributes renamed user_lpm_set_attributes
-#
-# 828 2012-02-21 12:00:36Z raasch
-# init_particles depends on lpm_collision_kernels
-#
-# 825 2012-02-19 03:03:44Z raasch
-# wang_kernel renamed lpm_collision_kernels
-#
-# 790 2011-11-29 03:11:20Z raasch
-# +wang_kernel
-#
-# 667 2010-12-23 12:06:00Z suehring/gryschka
-# +advec_ws
-#
-# 421 2010-01-25 15:50:10Z raasch
-# comment line for simple install method added, which will be replaced
-# by an include command for preprocessor and compiler options when the simple
-# install process is used instead of mbuild/mrun,
-# +set_particle_attributes
-# +subsidence
-#
-# 410 2009-12-04 17:05:40Z letzel
-# +data_output_mask, init_masks, user_data_output_mask
-#
-# 217 2008-12-09 18:00:48Z letzel
-# former file user_interface split into one file per subroutine
-# +init_coupling, message
-#
-# 151 2008-03-07 13:42:18Z raasch
-# +plant_canopy_model, inflow_turbulence
-# +surface_coupler
-#
-# 96 2007-06-04 08:07:41Z raasch
-# +eqn_state_seawater, init_ocean
-#
-# 82 2007-04-16 15:40:52Z raasch
-# +local_flush
-#
-# 58 2007-03-09 14:27:38Z raasch
-# default suffixes removed from the suffix list to avoid calling of m2c in
-# case of .mod files
-# +wall_fluxes, +particle_boundary_conds
-#
-# RCS Log replace by Id keyword, revision history cleaned up
-#
-# Revision 1.13  2006/08/04 14:45:31  raasch
-# +data_output_ptseries
 #
 # Revision 1.1  2002/06/11 13:42:20  raasch
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 4182)
@@ -25,9 +25,16 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! unused variables removed
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
-! 
+!
+! Revision 1.1  1997/08/29 08:53:46  raasch
+! Initial revision
+!
+!
 ! Description:
 ! ------------
Index: palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_pw.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_s_pw.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3927 2019-04-23 13:24:29Z raasch
 ! pointer attribute removed from scalar 3d-array for performance reasons
 ! 
@@ -32,5 +35,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
-! 
+!
+! Revision 1.1  1997/08/29 08:54:20  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_up.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_s_up.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3927 2019-04-23 13:24:29Z raasch
 ! pointer attribute removed from scalar 3d-array for performance reasons
 ! 
@@ -32,5 +35,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
-! 
+!
+! Revision 1.1  1997/08/29 08:54:33  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_pw.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_u_pw.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/11 06:09:21  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_up.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_u_up.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/29 08:55:25  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_pw.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_v_pw.f90	(revision 4182)
@@ -26,6 +26,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/11 06:09:57  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_up.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_v_up.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/29 08:56:05  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_pw.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_w_pw.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/11 06:10:29  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_up.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_w_up.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/08/29 08:56:33  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4181)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4110 2019-07-22 17:05:21Z suehring
 ! - Separate initialization of advection flags for momentum and scalars. In this
 !   context, resort the bits and do some minor formatting. 
@@ -76,5 +79,12 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! 411 2009-12-11 12:31:43 Z suehring
+! Initial revision
+!
+! Authors:
+! --------
+! @author Matthias Suehring
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 4181)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4048 2019-06-21 21:00:21Z knoop
 ! Moved tcm_3d_data_averaging to module_interface
 ! 
@@ -41,5 +44,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Implementation of the PALM module interface
-! 
+!
+! Revision 1.1  2006/02/23 09:48:58  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/basic_constants_and_equations_mod.f90
===================================================================
--- palm/trunk/SOURCE/basic_constants_and_equations_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/basic_constants_and_equations_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4088 2019-07-11 13:57:56Z Giersch
 ! Comment of barometric formula improved, function for ideal gas law revised 
 ! 
@@ -36,5 +39,9 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+! 3361 2018-10-16 20:39:37Z knoop
+! New module (introduced with modularization of bulk cloud physics model)
+!
+! 
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4182)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -88,6 +91,17 @@
 ! 
 ! 3650 2019-01-04 13:01:33Z kanani
-! Bugfixes and additions for enabling restarts with biometeorology 
+! Bugfixes and additions for enabling restarts with biometeorology
 ! 
+! 3448 2018-10-29 18:14:31Z kanani
+! Initial revision
+!
+! 
+!
+! Authors:
+! --------
+! @author Dominik Froehlich <dominik.froehlich@dwd.de>, thermal indices
+! @author Jaroslav Resler <resler@cs.cas.cz>, mean radiant temperature
+! @author Michael Schrempf <schrempf@muk.uni-hannover.de>, uv exposure
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 4181)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4102 2019-07-17 16:00:03Z suehring
 ! - Revise setting for boundary conditions at horizontal walls, use the offset
 !   index that belongs to the data structure instead of pre-calculating 
@@ -43,5 +46,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/09/12 06:21:34  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -61,5 +64,6 @@
 ! 3700 2019-01-26 17:03:42Z knoop
 ! nopointer option removed
-! 
+! 1053 2012-11-13 17:11:03Z hoffmann
+! initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 4181)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3725 2019-02-07 10:11:02Z raasch
 ! unused variables removed
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
-! 
+!
+! Revision 1.1  1997/08/29 08:56:48  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/calc_mean_profile.f90
===================================================================
--- palm/trunk/SOURCE/calc_mean_profile.f90	(revision 4181)
+++ palm/trunk/SOURCE/calc_mean_profile.f90	(revision 4182)
@@ -25,6 +25,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
 ! 
+! 1365 2014-04-22 15:03:56Z boeske
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 4181)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Error messages revised
-! 
+!
+! Revision 1.1  1998/03/18 20:06:51  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 4181)
+++ palm/trunk/SOURCE/check_open.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4128 2019-07-30 16:28:58Z gronemeier
 ! Bugfix for opening the parameter file (unit 11): return error message if file
 ! was not found.
@@ -47,5 +50,8 @@
 ! 3704 2019-01-29 19:51:41Z suehring
 ! Open files for surface data
-! 
+!
+! Revision 1.1  1997/08/11 06:10:55  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 4181)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! 4172 2019-08-20 11:55:33Z oliver.maas
+! Corrected "Former revisions" section
+! 
+! 11:55:33Z oliver.maas
 ! bugfix error message: replaced PA184 by PA0184
 ! 
@@ -73,5 +76,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Formatting
-! 
+!
+! Revision 1.1  1997/08/26 06:29:23  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/chem_emissions_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 4182)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4157 2019-08-14 09:19:12Z suehring
 ! Replace global arrays also in mode_emis branch
 ! 
@@ -65,5 +68,11 @@
 ! 3685 2019 -01-21 01:02:11Z knoop
 ! Some interface calls moved to module_interface + cleanup
-! 
+! 3286 2018-09-28 07:41:39Z forkel
+!
+! Authors:
+! --------
+! @author Emmanuele Russo (FU-Berlin)
+! @author Sabine Banzhaf  (FU-Berlin)
+! @author Martijn Schaap  (FU-Berlin, TNO Utrecht)
 ! 
 ! Description:
Index: palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- palm/trunk/SOURCE/chem_modules.f90	(revision 4181)
+++ palm/trunk/SOURCE/chem_modules.f90	(revision 4182)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4110 2019-07-22 17:05:21Z suehring
 ! +cs_advc_flags_s
 ! 
@@ -57,4 +60,15 @@
 ! parameter chem_mechanism added (basit)
 ! 
+! 3282 2018-09-27 10:49:12Z basit
+! Initial revision
+!
+! Authors:
+! --------
+! @author Farah Kanani-Suehring
+! @author Basit Khan
+! @author Sabine Banzhaf
+! @author Emmanuele Russo
+! @author Edward C. Chan
+!
 !------------------------------------------------------------------------------!
 ! Description:
Index: palm/trunk/SOURCE/chem_photolysis_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3876 2019-04-08 18:41:49Z knoop
 ! some formatting and comments added 
 ! 
@@ -31,4 +34,12 @@
 ! unused variables removed
 ! 
+! 2718 2018-01-02 08:49:38Z maronga
+! Initial revision
+!
+!
+! Authors:
+! --------
+! @author Renate Forkel
+!
 !------------------------------------------------------------------------------!
 ! Description:
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4182)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4167 2019-08-16 11:01:48Z suehring
 ! Changed behaviour of masked output over surface to follow terrain and ignore 
 ! buildings (J.Resler, T.Gronemeier)
@@ -158,5 +161,19 @@
 ! Checks added for chemistry mechanism, parameter chem_mechanism added (basit)
 ! 
+! 2718 2018-01-02 08:49:38Z maronga
+! Initial revision
+!
 ! 
+!
+!
+! Authors:
+! --------
+! @author Renate Forkel
+! @author Farah Kanani-Suehring
+! @author Klaus Ketelsen
+! @author Basit Khan
+! @author Sabine Banzhaf
+!
+!
 !------------------------------------------------------------------------------!
 ! Description:
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 4181)
+++ palm/trunk/SOURCE/close_file.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4069 2019-07-01 14:05:51Z Giersch
 ! Masked output running index mid has been introduced as a local variable to 
 ! avoid runtime error (Loop variable has been modified) in time_integration
@@ -30,5 +33,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables and format statements removed
-! 
+!
+! Revision 1.1 (close_files) 1997/08/11 06:11:18  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/compute_vpt.f90
===================================================================
--- palm/trunk/SOURCE/compute_vpt.f90	(revision 4181)
+++ palm/trunk/SOURCE/compute_vpt.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
-! 
+!
+! Revision 1.1  2000/04/13 14:40:53  schroeter
+! Initial revision
+!
 !
 ! Description:
